IARRAY_CREATE_FROM_ARRAY_DESC(3)

EXPERIMENTAL_FUNC
iarray_create_from_array_desc - Create an Intelligent Array from a preallocated nD array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_create_from_array_desc

(array_desc *arr_desc, CONST array_pointer *arrayp, unsigned int elem_index)

DESCRIPTION
Create an Intelligent Array from a preallocated nD array.

arr_desc
    The array descriptor. This may be modified.

arrayp
    The array data pointer. If this is NULL the array data is internally allocated.

elem_index
    The index of the element in the array packet descriptor.

RETURN VALUE
A dynamically allocated intelligent array on success, else an error message is printed to the standard output and NULL is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/